Foreman - Feature #15590

Support IPv6 TFTP orchestration
07/06/2016 10:12 AM - Timo Goebel

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Orchestration
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3626
Description

TFTP orchestration should support a tftp proxy that is set on the IPv6 subnet of a host.

If a host has just one IPv4 or IPv6 subnet with a tftp proxy set, take the tftp proxy of the subnet, that has one set. If both host's
subnets have a tftp proxy set, prefer the ipv6 subnet's proxy.

Related issues:
Related to Foreman - Feature #2315: IPv6 Support Assigned 03/13/2013

Associated revisions

Revision 56f51d58 - 09/06/2016 11:34 AM - Timo Goebel
fixes #15590 - ipv6 tftp orchestration

History

#1 - 07/06/2016 10:34 AM - Timo Goebel
- Related to Feature #2315: IPv6 Support added

#2 - 07/07/2016 03:50 AM - Timo Goebel

Actually we should provision both the IPv4 and IPv6 proxy for a host. That makes more sense. If a user does not want to set tftp for a subnet, then he
should not set the tftp proxy for that subnet. The user should have the choice.

#3 - 07/07/2016 03:51 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3626 added

#4 - 09/06/2016 12:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 56f51d589196b5e205f2a1715c01119d99a4af61.

#5 - 09/07/2016 04:59 AM - Dominic Cleal

- translation missing: en.field_release set to 160
